Subject: bug#61502: 29.0.60; c-ts-mode auto-indent not working

From: Dmitry Gutov <[email-masked]>
Date: Wed, 15 Feb 2023 15:35:09 +0200

On 15/02/2023 14:41, Theodor Thornhill via Bug reports for GNU Emacs, 
the Swiss army knife of text editors wrote:
> Rather selecting the first node "above" point sounds more reasonable?

treesit-node-on is the "precise" finding function. treesit-node-at is 
the dwim-y one.

I think having treesit-node-on return a node that doesn't actually cover 
BEG to END will be very counter-intuitive.